using UnityEngine;
using System.Collections;

public class AsyncSurrogate : MonoBehaviour
{
	private void Awake()
	{
		DontDestroyOnLoad(this);
	}
	
	private void OnDestroy()
	{
		Util.AssertTrue(false, "Async Surrogate must not be destroyed");
	}
}

